Skip to main content
GET
/
api
/
conversations
/
{conversation_id}
/
events
/
search
Search Conversation Events
curl --request GET \
  --url https://api.example.com/api/conversations/{conversation_id}/events/search
import requests

url = "https://api.example.com/api/conversations/{conversation_id}/events/search"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/conversations/{conversation_id}/events/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "llm_response_id": "<string>",
      "kind": "<string>",
      "id": "<string>",
      "timestamp": "<string>",
      "source": "environment",
      "forgotten_event_ids": [
        "<string>"
      ],
      "summary": "<string>",
      "summary_offset": 1
    }
  ],
  "next_page_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

conversation_id
string<uuid>
required

Query Parameters

page_id
string | null
limit
integer
default:100
kind
string | null
source
string | null
body
string | null
sort_order
enum<string>
default:TIMESTAMP

Enum for event sorting options.

Available options:
TIMESTAMP,
TIMESTAMP_DESC
timestamp__gte
string<date-time> | null
timestamp__lt
string<date-time> | null

Response

Successful Response

items
(Condensation · object | CondensationRequest · object | CondensationSummaryEvent · object | ConversationErrorEvent · object | ConversationStateUpdateEvent · object | LLMCompletionLogEvent · object | ActionEvent · object | MessageEvent · object | AgentErrorEvent · object | ObservationEvent · object | UserRejectObservation · object | SystemPromptEvent · object | TokenEvent · object | PauseEvent · object)[]
required

This action indicates a condensation of the conversation history is happening.

next_page_id
string | null